﻿#BlocNvidiaCutted {
    overflow: hidden;
    max-width: 73vw;
    width: auto;
    height: auto;
}

    #BlocNvidiaCutted::after {
        content: '';
        width: 30px;
        height: 443px;
        position: absolute;
        top: 50px;
        right: 0;
        background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
        z-index: 1;
    }

    #BlocNvidiaCutted .listeNvidia .containerNvidia {
        margin-left: 0;
    }

    #BlocNvidiaCutted .listeNvidia .slideNvidia {
        max-width: 573px;
        display: block;
    }

    #BlocNvidiaCutted .containerSwiperWithScrollbar {
        display: flex;
        flex-direction: column;
        gap: 25px;
    }

    #BlocNvidiaCutted .listeNvidia.VignetteNvidia {
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    #BlocNvidiaCutted .containerArrowPrevNext {
        display: flex;
        gap: 15px;
        justify-content: flex-end;
        right: 330px;
        position: relative;
    }

    #BlocNvidiaCutted .VignetteNvidia_SwiperPrev, .VignetteNvidia_SwiperNext {
        display: flex;
        width: 30px;
        height: 35px;
        padding: 10px 10px 9px 10px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background: var(--nvidia);
    }

    #BlocNvidiaCutted .swiper-pagination {
        display: none;
    }

    #BlocNvidiaCutted .swiper-pagination-bullet-active.swiper-pagination-bullet-active-main {
        width: 30px !important;
        border-radius: 24px !important;
        background: #000;
    }

    #BlocNvidiaCutted .swiper-pagination-bullet {
        width: 15px !important;
        border-radius: 24px !important;
        background: #464646;
    }

    #BlocNvidiaCutted .listeNvidia .swiper-scrollbar {
        display: none;
        position: relative !important; /* Positionne la scrollbar correctement */
        left: unset;
        max-width: 159px !important;
        background-color: #63636349;
        backdrop-filter: blur(10px);
        border-radius: 10px; /* Bordure arrondie */
        height: 10px !important; /* Hauteur de la scrollbar */
        cursor: pointer; /* Change le curseur pour indiquer que la scrollbar est cliquable */
    }

    #BlocNvidiaCutted .listeNvidia .swiper-scrollbar-drag {
        background-color: #202020; /* Couleur blanche pour la partie mobile */
        border-radius: 10px; /* Bordure arrondie pour la partie mobile */
        height: 100%; /* Hauteur de la partie mobile */
        cursor: grab; /* Change le curseur lors du survol de la partie mobile */
    }

@media screen and (max-width: 1920px) {

    #BlocNvidiaCutted {
        max-width: 58vw;
    }

    #BlocNvidiaCutted::after {
        display: none;
    }
}

@media screen and (max-width: 1850px) {
    #BlocNvidiaCutted {
        max-width: 73vw;
    }
}

@media screen and (max-width: 995px) {

    #BlocNvidiaCutted {
        padding: 0 80px;
        max-width: unset;
        margin: auto;
    }

        #BlocNvidiaCutted .listeNvidia.VignetteNvidia {
            overflow: hidden;
        }

        #BlocNvidiaCutted .containerArrowPrevNext {
            display: none;
        }

        #BlocNvidiaCutted .swiper-pagination {
            display: flex;
            height: auto;
            position: relative;
        }
}

@media screen and (max-width: 750px) {
    #BlocNvidiaCutted {
        padding: unset;
    }
}

@media screen and (max-width: 612px) {

    #BlocNvidiaCutted {
        height: 100%;
        max-width: 407px;
        width: 407px;
    }

        #BlocNvidiaCutted .containerArrowPrevNext {
            display: none;
        }

        #BlocNvidiaCutted .swiper-pagination {
            display: flex;
            height: auto;
            position: relative;
            align-items: center;
        }

        #BlocNvidiaCutted .listeNvidia .slideNvidia {
            max-width: 377px;
        }

        #BlocNvidiaCutted .listeNvidia .swiper-scrollbar {
            position: relative !important; /* Positionne la scrollbar correctement */
            top: 20px;
            left: 50%;
            transform: translateX(-50%);
            max-width: 159px !important;
            background-color: #63636349;
            backdrop-filter: blur(10px);
            border-radius: 10px; /* Bordure arrondie */
            height: 10px !important; /* Hauteur de la scrollbar */
            cursor: pointer; /* Change le curseur pour indiquer que la scrollbar est cliquable */
        }
}


@media screen and (max-width: 375px) {
    #BlocNvidiaCutted {
        height: 390px;
        overflow: visible;
        margin: auto;
        max-width: 375px;
        width: 375px;
    }
}

@media screen and (max-width: 320px) {
    #BlocNvidiaCutted {
        height: 390px;
        overflow: visible;
        margin: auto;
        max-width: 320px;
        width: 320px;
    }
}
